=== debian/changelog ===
plasma-distro-release-notifier (20220915-0ubuntu0.22.04.2) jammy; urgency=medium

  * Move EOL data to local file (LP: #2039492)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 11 Sep 2024 18:57:23 -0700

plasma-distro-release-notifier (20220915-0ubuntu0.22.04.1) jammy; urgency=medium

  * Backport to Jammy (LP: #1989611)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 15 Sep 2022 14:41:07 -0700

plasma-distro-release-notifier (20220915-0ubuntu1) kinetic; urgency=medium

  * New upstream tarball release with translations (LP: #1989697)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 15 Sep 2022 14:19:28 -0700

plasma-distro-release-notifier (20220521-0ubuntu2) kinetic; urgency=medium

  * d/rules: add hardening=+all
  * d/control: depand on python3-update-manager explicitly
  * Add patches s/neon/ubuntu

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 12 Sep 2022 11:36:49 -0700

plasma-distro-release-notifier (20220521-0ubuntu1) kinetic; urgency=medium

  * Initial release. (LP: #1989229)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 08 Sep 2022 07:42:51 -0700
