## plasma-distro-release-notifier 20241226

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 project(distroreleasenotifier)
 
 set(QT_MIN_VERSION "6.2.0")
-set(KF6_MIN_VERSION "6.1.5")
+set(KF6_MIN_VERSION "6.2.0")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
