=== debian/changelog ===
plasma-distro-release-notifier (20241226-0ubuntu6) resolute; urgency=medium

  * Add 0006-remove-m-argument.patch to get around deprecation of mode
    argument in do-release-upgrade. (LP: #2130246)
  * Install eol.json to fix a file not found issue. (LP: #2130246)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 29 Oct 2025 09:43:07 -0700

plasma-distro-release-notifier (20241226-0ubuntu5) resolute; urgency=medium

  * Add 0005-set-cmake-minimum.patch to fix build with extra-cmake-
    modules 6.19.0.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Oct 2025 08:14:07 +0000

plasma-distro-release-notifier (20241226-0ubuntu4) resolute; urgency=medium

  * Update EOL data

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 27 Oct 2025 09:26:57 -0700

plasma-distro-release-notifier (20241226-0ubuntu3) questing; urgency=medium

  * Update EOL data 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 03 Jun 2025 11:46:50 -0700

plasma-distro-release-notifier (20241226-0ubuntu2) plucky; urgency=medium

  * d/control: s/qt6-tools/qt6-tools-dev-tools/

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 24 Jan 2025 20:01:42 -0800

plasma-distro-release-notifier (20241226-0ubuntu1) plucky; urgency=medium

  * New upstream snapshot 20241226
    - updates to KF6
  * Refreshed patches
  * d/copyright: bump dates
  * d/control: update to kf6 libraries, bump standards-version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 24 Jan 2025 10:51:22 -0800

plasma-distro-release-notifier (20220915-0ubuntu8) oracular; urgency=medium

  * Move EOL data to local file (LP: #2039492)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 11 Sep 2024 17:56:03 -0700

plasma-distro-release-notifier (20220915-0ubuntu7) oracular; urgency=medium

  * Move EOL data to Github (LP: #2039492)
  * Update set-ubuntu-version.patch to 24.10

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 11 Sep 2024 09:42:39 -0700

plasma-distro-release-notifier (20220915-0ubuntu6) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:47:39 +0200

plasma-distro-release-notifier (20220915-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:00:16 +0000

plasma-distro-release-notifier (20220915-0ubuntu4) noble; urgency=medium

  * d/control: b-d qtbase5-dev (LP:#2058780)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 22 Mar 2024 14:54:35 -0700

plasma-distro-release-notifier (20220915-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:26:05 +0000

plasma-distro-release-notifier (20220915-0ubuntu2) noble; urgency=medium

  * Update patch to report correct version (LP: #2039497)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 07 Dec 2023 09:19:51 -0800
