=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
  debhelper-compat (= 13),
  cmake,
  extra-cmake-modules,
- libkf5coreaddons-dev,
- libkf5dbusaddons-dev,
- libkf5i18n-dev,
- libkf5kio-dev,
- libkf5networkmanagerqt-dev,
- libkf5notifications-dev,
- libqt5core5a,
- libqt5gui5,
- libqt5widgets5,
-Standards-Version: 4.6.1
+ libkf6coreaddons-dev,
+ libkf6dbusaddons-dev,
+ libkf6i18n-dev,
+ libkf6kio-dev,
+ libkf6notifications-dev,
+ libkf6statusnotifieritem-dev,
+ libkf6networkmanagerqt-dev,
+ qt6-base-dev
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/system/distro-release-notifier
 Vcs-Browser: https://invent.kde.org/system/distro-release-notifier
 Vcs-Git: https://invent.kde.org/system/distro-release-notifier.git
@@ -27,8 +26,10 @@
  ${shlibs:Depends},
  ${misc:Depends},
  python3,
+ qt6-tools-dev-tools,
  python3-update-manager,
- update-notifier-common
+ update-notifier-common,
+ ubuntu-release-upgrader-qt
 Description: Notifies KDE Plasma users of a new version of Ubuntu
  New versions of Ubuntu get released every six months, with new
  LTS versions getting released every two years. This application
