=== debian/watch ===
version=4
https://invent.kde.org/system/distro-release-notifier/tags?sort=updated_desc archive/v?\d[\d.]+/distro-release-notifier-v?([\d.]+)@ARCHIVE_EXT@
